### Class

# Msg MailFolder

#### Description [src]

    final class Msg.MailFolder : GObject.Object
    {
      /* No available fields */
    }

Handling of mail folder specific functions.

#### Ancestors

- GObject

#### Constructors

###### msg_mail_folder_new

Creates a new `MsgMailFolder`.

###### msg_mail_folder_new_from_json

Creates a new `MsgMailFolder` from json response object.

#### Instance methods

###### msg_mail_folder_get_child_folder_count

No description available.

###### msg_mail_folder_get_delta_link

No description available.

###### msg_mail_folder_get_display_name

No description available.

###### msg_mail_folder_get_folder_type

No description available.

###### msg_mail_folder_get_id

No description available.

###### msg_mail_folder_get_parent_id

No description available.

###### msg_mail_folder_get_total_item_count

No description available.

###### msg_mail_folder_get_unread_item_count

No description available.

###### msg_mail_folder_set_child_folder_count

No description available.

###### msg_mail_folder_set_delta_link

No description available.

###### msg_mail_folder_set_display_name

No description available.

###### msg_mail_folder_set_folder_type

No description available.

###### msg_mail_folder_set_id

No description available.

###### msg_mail_folder_set_parent_id

No description available.

###### msg_mail_folder_set_total_item_count

No description available.

###### msg_mail_folder_set_unread_item_count

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MsgMailFolderClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.